Cap'n Robot  [developer] Dec 28, 2013 @ 10:12am
Mac/Linux Beta Testers needed
Looking for players on Mac and Linux to opt into the Beta and test controller setup. We've got lots of positives from the PC versions, but I would really like a few from these operating systems before I call it fixed.

Right click on the game in steam and go to properties.
Go to the Betas tab.
Select "beta -" from the dropdown list.
You might need to restart steam for the update to take.

Check in the game options and it should now say "Version Tormenter 1.1"

Try setting up a controller and let me know how it goes.
Showing 1-15 of 23 comments
< >
Ghuntar l'Indien Dec 28, 2013 @ 6:42pm 
I'll check this (as I got both MAC and Linux). But to be honnest, I did not have any problem with configuring my controlers (Be it a Playstation2USB or a generic USB controler).
Cap'n Robot  [developer] Dec 28, 2013 @ 6:44pm 
Cool, thats just the kind of thing I want to know then. Need to make sure I didn't break anything for people who had no problems before!
Ghuntar l'Indien Dec 29, 2013 @ 4:18am 
Ouch... The 1.1 version break down everything. None of my two controlers can make a change in the controler setup.

I'm on MAC OS X 10.9.1 (Maverick ?).
Is there a log/debug file somewhere that I should provide ?

I'll test on my linux laptop later.

Just a small question : is it possible to revert to the last working version ? Via the beta flag in Steam ?
Cap'n Robot  [developer] Dec 29, 2013 @ 5:40am 
Ok, good to know... and also unfortunate, because it works so well in the PC version.

You can revert back to the non-beta in the same menu you opt'ed into it.
Cap'n Robot  [developer] Dec 29, 2013 @ 9:09am 
Updated to Version Tormenter 1.2 ...any better?
OTC:242 Dec 29, 2013 @ 12:34pm 
works without any problems on linux mint 16 x64 + logitech rumblepad 2
OTC:242 Dec 29, 2013 @ 12:42pm 
probably not important, beta tormenter 1.2 doesn't start for me in x32 mode, only x64... reverted to release version, x32 works
Cap'n Robot  [developer] Dec 29, 2013 @ 12:48pm 
Originally posted by OTC:242:
probably not inportant, beta tormenter 1.2 doesn't start for me in x32 mode, only x64... reverted to release version, x32 works
o_O weird
thanks for testing!
OTC:242 Dec 29, 2013 @ 1:42pm 
Originally posted by Calvin:
o_O weird
thanks for testing!

probably just a missing library...
Set current directory to /home/OTC242/.local/share/Steam/SteamApps/common/LegendofDungeon
Found path: /home/OTC242/.local/share/Steam/SteamApps/common/LegendofDungeon/LegendofDungeon.x86
Unable to load mono library from /home/OTC242/.local/share/Steam/SteamApps/common/LegendofDungeon/LegendofDungeon_Data/Mono (x86)
Failed to load mono

you're welcome, thank you for the great game and linux support
Ghuntar l'Indien Dec 29, 2013 @ 4:01pm 
It's now (1.2) fine on my Mac (with the generic USB controler, did not try with the PS2USB adapter).
Cap'n Robot  [developer] Dec 29, 2013 @ 4:55pm 
Originally posted by Ghuntar l'Indien:
It's now (1.2) fine on my Mac (with the generic USB controler, did not try with the PS2USB adapter).
Did it have analog sticks?
Ghuntar l'Indien Dec 30, 2013 @ 2:09am 
Originally posted by Calvin:
Originally posted by Ghuntar l'Indien:
It's now (1.2) fine on my Mac (with the generic USB controler, did not try with the PS2USB adapter).
Did it have analog sticks?

Yes 2 analog sticks, 4 shoulder/trigger, one "cross", 4 classic buttons, Select and Start (plus turbo and clear that has never worcked whatever the system).


A little addition :

Generic USB Joystick :

Product ID: 0x0006
Vendor ID: 0x0079
Version: 1.07
Speed: Up to 1.5 Mb/sec
Manufacturer: DragonRise Inc.
Location ID: 0x14200000 / 9
Current Available (mA): 500
Current Required (mA): 500

PS to USB convert cable:

Product ID: 0x0596
Vendor ID: 0x05e3 (Genesys Logic, Inc.)
Version: 1.50
Speed: Up to 1.5 Mb/sec
Manufacturer: Austgame
Location ID: 0x14100000 / 8
Current Available (mA): 500
Current Required (mA): 100
Cap'n Robot  [developer] Dec 30, 2013 @ 7:47am 
Awesome :D I'm feeling really good about this version. I'll probably push the update today.
Ghuntar l'Indien Dec 30, 2013 @ 3:57pm 
Control redefinition confirmed on Linux (Ubuntu 64) for both controlers (see previous post).
EndeavourAccuracy Jan 1 @ 5:23am 
I also get the "Failed to load mono" error mentioned by OTC:242.
Showing 1-15 of 23 comments
< >
Per page: 15 30 50